# $Revision: 1.24 $, $Date: 2004/01/27 22:06:20 $
Summary:	Bruce's C compiler
Summary(pl):	Kompilator C Bruce'a
Name:		bcc
Version:	0.16.15
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	http://www.cix.co.uk/~mayday/dev86/Dev86src-%{version}.tar.gz
# Source0-md5:	c3266fa6530b472e1d3e98d826db6409
Patch0:		Dev86src-noroot.patch
Patch1:		Dev86src-opt.patch
URL:		http://www.cix.co.uk/~mayday/
Requires:	bin86
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't try to strip Linux-8086 objects
%define		no_install_post_strip	1

%description
Bcc is a simple C compiler that produces 8086 assembler, in addition
compiler compile time options allow 80386 or 6809 versions. The
compiler understands traditional K&R C with just the restriction that
bit fields are mapped to one of the other integer types.

%description -l pl
Bcc jest prostym kompilatorem C tworzcym pliki asemblerowe 8086,
a dodatkowo pozwala na wybranie wersji 80386 lub 6809. Kompilator
rozumie tradycyjne C K&R z takim ograniczeniem, e pola bitowe
s odwzorowywane do jednego z innych typw cakowitych.

%prep
%setup -q -n dev86-%{version}
%patch0 -p1
%patch1 -p1

%build
CC="%{__cc}" \
%{__make} all other \
	OPT="%{rpmcflags}" <<!FooBar!
5
quit
!FooBar!

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-all \
	DIST=$RPM_BUILD_ROOT

# FFU (dis88/Makefile is not ready)
#	MANDIR=%{_mandir}

cp -R libc/kinclude $RPM_BUILD_ROOT%{_libdir}/bcc

ln -sf objdump86 $RPM_BUILD_ROOT%{_bindir}/nm86
ln -sf objdump86 $RPM_BUILD_ROOT%{_bindir}/size86

# these are separated in bin86 package
rm -f $RPM_BUILD_ROOT%{_bindir}/{as86,ld86}
rm -f $RPM_BUILD_ROOT/usr/man/man1/{as,ld}86.1*
# move man pages where they belong
install -d $RPM_BUILD_ROOT%{_mandir}
mv -f $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT%{_mandir}

%{!?debug:strip -R .comment -R .note $RPM_BUILD_ROOT%{_bindir}/{ar86,bcc,elksemu,objdump86}}
%{!?debug:strip -R .comment -R .note $RPM_BUILD_ROOT%{_libdir}/bcc/{bcc*,copt,unproto}}

mv -f bootblocks/README README.bootblocks
mv -f copt/README README.copt
mv -f dis88/README README.dis88
mv -f elksemu/README README.elksemu
mv -f unproto/README README.unproto

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Contributors README*
%attr(755,root,root) %{_bindir}/ar86
%attr(755,root,root) %{_bindir}/bcc
%attr(755,root,root) %{_bindir}/dis86
%attr(755,root,root) %{_bindir}/elksemu
%attr(755,root,root) %{_bindir}/makeboot
%attr(755,root,root) %{_bindir}/nm86
%attr(755,root,root) %{_bindir}/objdump86
%attr(755,root,root) %{_bindir}/size86
%dir %{_libdir}/bcc
%attr(755,root,root) %{_libdir}/bcc/as86_encap
%attr(755,root,root) %{_libdir}/bcc/bcc-cc1
%attr(755,root,root) %{_libdir}/bcc/bcc-cpp
%attr(755,root,root) %{_libdir}/bcc/copt
%attr(755,root,root) %{_libdir}/bcc/unproto
%{_libdir}/bcc/i386
%{_libdir}/bcc/include
%{_libdir}/bcc/kinclude
%{_libdir}/bcc/crt*.o
%{_libdir}/bcc/lib*.a
%{_libdir}/bcc/rules.*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bcc.spec,v $
Revision 1.24  2004/01/27 22:06:20  qboosh
- updated to 0.16.15
- updated noroot,opt patches, removed obsolete errno,nobcc patches

Revision 1.23  2003/11/04 19:03:25  qboosh
- up to 0.16.14, updated noroot patch

Revision 1.22  2003/10/13 19:32:45  qboosh
- updated to 0.16.13

Revision 1.21  2003/08/08 22:12:12  qboosh
- 0.16.12, added errno patch

Revision 1.19  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:45:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/02 01:35:44  qboosh
- 0.16.11

Revision 1.16  2002/12/21 08:45:12  ankry
- slightly polished

Revision 1.15  2002/12/21 01:26:27  qboosh
- 0.16.10

Revision 1.14  2002/08/28 02:20:23  kloczek
- fixed Source url.

Revision 1.13  2002/08/27 21:17:35  qboosh
- updated to 0.16.8, cleanups etc.
- removed obsolete bccpaths, updated opt patch

Revision 1.12  2002/08/27 10:46:07  qboosh
- added URL

Revision 1.11  2002/04/25 15:52:16  arturs
fixed a small typo

Revision 1.10  2002/04/15 08:25:11  wojtekka
- fixing the previous fix. now it *really* removes the man pages.

Revision 1.9  2002/04/13 21:19:23  ankry
- removed man pages provided by bin86
- release 4

Revision 1.8  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/11 22:37:30  qboosh
- opt patch - use %%rpmcflags
- fixed %%doc
- release 3

Revision 1.5  2001/11/06 07:31:59  kloczek
- final cleanups.

Revision 1.4  2001/11/05 22:26:29  wojtekka
- added %dir (...)/kinclude

Revision 1.3  2001/11/05 22:14:07  wojtekka
- fixed dependencies

Revision 1.2  2001/11/05 21:48:13  misiek
- more fixes by Wojtek Kaniewski

Revision 1.1  2001/11/05 09:17:56  misiek
- started resurecting bcc (part of dev86)
